Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3299 - Harmful aliases
Summary: Harmful aliases
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bash
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-06 12:49 UTC by torben
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-07 20:22:16 UTC


Attachments (Terms of Use)

Description torben 1999-06-06 12:49:29 UTC
During several redhat releases, the following aliases in
~/.bashrc have been a pain:
alias rm='rm -i'
alias cp='cp -i'
alias mv='mv -i'

Because of those aliases, people get used to type i.e.
rm -f, because they generally don't want to confirm
deletion of every single file.

The effect with rm -f is that read-only files get deleted
without any questions. That is bad.

I delete those annoying aliases on every redhat PC I come
near, and have not had any complaints about that.


Note You need to log in before you can comment on or make changes to this bug.